#!/bin/bash
#
DOMAIN=`hostname  -d`

PWD=`pwd`
MAXJOBS=300
WHOAMI=`whoami`

STORE=/lstore/auger/pteixeira/Muontomo
outlocas=${STORE}/dump_dir

mkdir -p $outlocas

START=0
JOBS=20
END=$((START+JOBS))
NEVENTS=10000000
echo $FILEOUT
outdir=${outlocas}
      for (( c=${START}; c < ${END}; ++c )); do
	echo i: $c
        seed1=$((c*10))
	seed2=$((c))
        script=MuTomo_${seed1}_${seed2}.sh
        echo $script
        cp -f steerStandalone.sh /lstore/auger/pteixeira/Muontomo/runscripts/$script
        sed -i "s/#EVENTS#/$NEVENTS/g"  /lstore/auger/pteixeira/Muontomo/runscripts/$script 
        sed -i "s/#SEED1#/$seed1/g"	/lstore/auger/pteixeira/Muontomo/runscripts/$script 
        sed -i "s/#SEED2#/$seed2/g"     /lstore/auger/pteixeira/Muontomo/runscripts/$script
        sed -i "s%#OUTDIR#%$outdir%g"   /lstore/auger/pteixeira/Muontomo/runscripts/$script
	./5offl_submit.sh $script
      	nfarm=`qstat -u $WHOAMI | wc -l`
      	while [ $nfarm -ge $MAXJOBS ]; do
      	  sleep 10
       	  nfarm=`qstat -u $WHOAMI | wc -l`
      	done
     done 

echo '!! DONE !!'
