void PlotMutomo()
{
	int NbinDir=90;
	TH2F *dir=new TH2F("dir","Direction Map; Px; Py",NbinDir,-1.,1.,NbinDir,-1.,1.);

	float px,py;
   	int Nmuons = 0;

	TTree *T=new TTree("ntuple","data from ascii file");  
	Nmuons=T->ReadFile(Form("/home/cosmo/pteixeira/MuonTomography/analysis/Mutomo.txt"),"px:py");

	T->Project("dir","py:px");

	cout<<"Read "<<Nmuons<<" muons"<<endl; 
	new TCanvas; dir->Draw("colz");
	gStyle->SetPalette(55); // set color map to rainbow

	TFile *keep=new TFile(Form("Mutomo.root"),"recreate");
	dir->Write();
	keep->Close();
}


