#!/bin/bash

#-------
# script to get status of jobs in farm 
# version 1.4
#-------

host=`hostname`

if ! type "qstat" &> /dev/null; then
# HELP section
  echo " "
  echo "!!!!!!"
  echo "To see jobs status need to be a subXX (uiXX) machine"
  echo 'hostname:' $host
  echo "!!!!!!"
  echo " "
  exit 1
 else
  echo 'hostname:' $host
#  qstat | grep `whoami`

  echo Jobs running...
  qstat -u `whoami` | grep " r " | wc -l ; 
 
  echo Jobs waiting...
  qstat -u `whoami` | grep " qw " | wc -l ; 

fi



echo "***"

